FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
non port: head/databases/postgresql92-server/pkg-plist-server
SVNWeb

Number of commits found: 11

Thu, 20 Feb 2014
[ 18:11 girgen ] Original commit 
345257 databases/postgresql84-server/Makefile
345257 databases/postgresql84-server/distinfo
345257 databases/postgresql84-server/pkg-plist-server
345257 databases/postgresql90-server/Makefile
345257 databases/postgresql90-server/distinfo
345257 databases/postgresql90-server/pkg-plist-server
345257 databases/postgresql91-docs/Makefile
345257 databases/postgresql91-server/Makefile
345257 databases/postgresql91-server/distinfo
345257 databases/postgresql92-server/Makefile

(Only the first 10 of 16 ports in this commit are shown above. View all ports for this commit)
The PostgreSQL Global Development Group has released an important
update to all supported versions of the PostgreSQL database system,
which includes minor versions 9.3.3, 9.2.7, 9.1.12, 9.0.16, and
8.4.20. This update contains fixes for multiple security issues, as
well as several fixes for replication and data integrity issues.  All
users are urged to update their installations at the earliest
opportunity, especially those using binary replication or running a
high-security application.

This update fixes CVE-2014-0060, in which PostgreSQL did not properly
enforce the WITH ADMIN OPTION permission for ROLE management. Before
this fix, any member of a ROLE was able to grant others access to the
same ROLE regardless if the member was given the WITH ADMIN OPTION
permission. It also fixes multiple privilege escalation issues,
including: CVE-2014-0061, CVE-2014-0062, CVE-2014-0063, CVE-2014-0064,
CVE-2014-0065, and CVE-2014-0066. More information on these issues can
be found on our security page and the security issue detail wiki page.

Security:	CVE-2014-0060,CVE-2014-0061,CVE-2014-0062,CVE-2014-0063
		CVE-2014-0064,CVE-2014-0065,CVE-2014-0066,CVE-2014-0067
Thu, 4 Apr 2013
[ 13:21 girgen ] Original commit 
315718 databases/postgresql83-client/Makefile
315718 databases/postgresql83-contrib/Makefile
315718 databases/postgresql83-server/Makefile
315718 databases/postgresql83-server/files/patch-ssl-init-state
315718 databases/postgresql84-server/Makefile
315718 databases/postgresql84-server/distinfo
315718 databases/postgresql90-server/Makefile
315718 databases/postgresql90-server/distinfo
315718 databases/postgresql90-server/pkg-plist-server
315718 databases/postgresql91-server/Makefile

(Only the first 10 of 16 ports in this commit are shown above. View all ports for this commit)
The PostgreSQL Global Development Group has released a security
update to all current versions of the PostgreSQL database system,
including versions 9.2.4, 9.1.9, 9.0.13, and 8.4.17. This update
fixes a high-exposure security vulnerability in versions 9.0 and
later. All users of the affected versions are strongly urged to apply
the update *immediately*.

A major security issue (for versions 9.x only) fixed in this release,
[CVE-2013-1899](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1899),
makes it possible for a connection request containing a database name
that begins with "-" to be crafted that can damage or destroy files
within a server's data directory. Anyone with access to the port the
PostgreSQL server listens on can initiate this request. This issue was
discovered by Mitsumasa Kondo and Kyotaro Horiguchi of NTT Open Source
Software Center.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Fri, 8 Feb 2013
[ 07:54 girgen ] Original commit 
311915 databases/postgresql83-server/Makefile
311915 databases/postgresql83-server/distinfo
311915 databases/postgresql83-server/pkg-plist-client
311915 databases/postgresql83-server/pkg-plist-server
311915 databases/postgresql84-client/Makefile
311915 databases/postgresql84-contrib/Makefile
311915 databases/postgresql84-server/Makefile
311915 databases/postgresql84-server/distinfo
311915 databases/postgresql84-server/pkg-plist-server
311915 databases/postgresql90-server/Makefile

(Only the first 10 of 19 ports in this commit are shown above. View all ports for this commit)
PostgreSQL 9.2.3, 9.1.8, 9.0.12, 8.4.16 and 8.3.23 released

This update fixes a denial-of-service (DOS) vulnerability.  All users
should update their PostgreSQL installations as soon as possible.

The security issue fixed in this release, CVE-2013-0255, allows a
previously authenticated user to crash the server by calling
an internal function with invalid arguments.

URL:	http://www.postgresql.org/about/news/1446/
Security: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0255
Thu, 6 Dec 2012
[ 16:40 girgen ] Original commit 
308391 databases/postgresql83-server/Makefile
308391 databases/postgresql83-server/distinfo
308391 databases/postgresql84-server/Makefile
308391 databases/postgresql84-server/distinfo
308391 databases/postgresql90-server/Makefile
308391 databases/postgresql90-server/distinfo
308391 databases/postgresql91-server/Makefile
308391 databases/postgresql91-server/distinfo
308391 databases/postgresql92-server/Makefile
308391 databases/postgresql92-server/distinfo

(Only the first 10 of 12 ports in this commit are shown above. View all ports for this commit)
The PostgreSQL Global Development Group has released an update to all current
versions of the PostgreSQL database system, including versions 9.2.2, 9.1.7,
9.0.11, 8.4.15, and 8.3.22.  Users of PostgreSQL Hot Standby replication
should update at the next possible opportunity. Other users should update
at their next maintenance window.

Deprecate the 8.3.22 version, since it is near end-of-life.

URL:	http://www.postgresql.org/about/news/1430/

Feature safe: yes
Mon, 10 Sep 2012
[ 11:53 girgen ] Original commit 
304028 databases/postgresql92-server/Makefile
304028 databases/postgresql92-server/distinfo
304028 databases/postgresql92-server/pkg-plist-client
304028 databases/postgresql92-server/pkg-plist-server
PostgreSQL 9.2 is released.

"PostgreSQL 9.2 will ship with native JSON support,
covering indexes, replication and performance improvements,
and many more features."

Read more at the web site.

URL:	http://www.postgresql.org/about/news/1415/
Sun, 19 Aug 2012
[ 15:24 crees ] Original commit 
302762 databases/postgresql83-server/Makefile
302762 databases/postgresql84-server/Makefile
302762 databases/postgresql91-server/Makefile
302762 databases/postgresql92-server/Makefile
302762 databases/postgresql92-server/pkg-plist-server
Use pre-build instead of pre-everything for backupwarning-- stop making people
wait before fetching etc

Suggested by:	ohauer
Discussed with:	girgen

While here, fix package for postgresql92-server
Fri, 17 Aug 2012
[ 20:32 girgen ] Original commit 
302695 databases/postgresql92-server/Makefile
302695 databases/postgresql92-server/distinfo
302695 databases/postgresql92-server/pkg-plist-server
update postgresql 9.2 to beta4
Tue, 7 Aug 2012
[ 07:49 girgen ] Original commit 
302226 databases/postgresql92-server/Makefile
302226 databases/postgresql92-server/distinfo
302226 databases/postgresql92-server/pkg-plist-client
302226 databases/postgresql92-server/pkg-plist-server
The PostgreSQL Global Development Group announces the third beta release
of PostgreSQL 9.2, which will include major increases in performance and
both vertical and horizontal scalability.  The PostgreSQL Project asks
all users to download and begin testing 9.2 beta 3 as soon as possible.

9.2 Beta 3 includes multiple bug fixes to earlier beta releases, fixing
almost all known outstanding issues as of last week.  Among them are:

* Multiple documentation updates
* Apply translation updates
* Fixes to transaction log and replication issues with SP-GiST
* Replace libpq's "row processor" API with a "single row" mode.
* Fix WITH issue with set operations (UNION/INTERSECT/EXCEPT)
* Improvements to Autovacuum cancellation
* Multiple pg_upgrade fixes
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Mon, 4 Jun 2012
[ 11:00 girgen ] Original commit 
1.229 databases/postgresql83-server/Makefile
1.82 databases/postgresql83-server/distinfo
1.2 databases/postgresql83-server/files/patch-crypt-des.c
1.34 databases/postgresql83-server/pkg-plist-server
1.251 databases/postgresql84-server/Makefile
1.85 databases/postgresql84-server/distinfo
1.2 databases/postgresql84-server/files/patch-crypt-des.c
1.40 databases/postgresql84-server/pkg-plist-server
1.9 databases/postgresql90-client/Makefile
1.243 databases/postgresql90-server/Makefile

(Only the first 10 of 21 ports in this commit are shown above. View all ports for this commit)
The PostgreSQL Global Development Group today released security updates for all
active branches of the PostgreSQL database system, including versions 9.1.4,
9.0.8, 8.4.12 and 8.3.19.

Users of the crypt(text, text) function with DES encryption in the optional
pg_crypto module should upgrade their installations immediately, if you have'nt
already updated since the port was patched on May 30.  All other database
administrators are urged to upgrade your version of PostgreSQL at the
next scheduled downtime.

URL:      http://www.postgresql.org/about/news/1398/

Security: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2143
          Fix incorrect password transformation in contrib/pgcrypto’s DES
crypt() function
          This was fixed in a patch release for the FreeBSD ports on May 30.

Security: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2655
          Ignore SECURITY DEFINER and SET attributes for a procedural
language’s call handle
Tue, 15 May 2012
[ 22:14 girgen ] Original commit 
1.74 Mk/bsd.database.mk
1.1103 databases/Makefile
1.1 databases/postgresql92-client/Makefile
1.1 databases/postgresql92-contrib/Makefile
1.1 databases/postgresql92-contrib/pkg-descr
1.1 databases/postgresql92-docs/Makefile
1.1 databases/postgresql92-plperl/Makefile
1.1 databases/postgresql92-pltcl/Makefile
1.250 databases/postgresql92-server/Makefile
1.92 databases/postgresql92-server/distinfo

(Only the first 10 of 14 ports in this commit are shown above. View all ports for this commit)
The PostgreSQL Global Development Group announces the beta release of
PostgreSQL 9.2, which will include major increases in performance and
both vertical and horizontal scalability.  The PostgreSQL Project asks
all users to download and begin testing 9.2 Beta as soon as possible.

Major performance and scalability advances in this version include:

* Index-only scans, allowing users to avoid inefficient scans of base
  tables
* Enhanced read-only workload scaling to 64 cores and over 300,000
  queries per second
* Improvements to data write speeds, including group commit
* Reductions in CPU power consumption
* Cascading replication, supporting geographically distributed standby
  databases
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Fri, 11 May 2012
[ 08:35 girgen ] Original commit 
1.249 databases/postgresql92-server/Makefile
1.91 databases/postgresql92-server/distinfo
1.14 databases/postgresql92-server/pkg-descr
1.11 databases/postgresql92-server/pkg-install-server
1.27 databases/postgresql92-server/pkg-plist-client
1.20 databases/postgresql92-server/pkg-plist-contrib
1.6 databases/postgresql92-server/pkg-plist-plperl
1.6 databases/postgresql92-server/pkg-plist-plpython
1.6 databases/postgresql92-server/pkg-plist-pltcl
1.45 databases/postgresql92-server/pkg-plist-server
Repository copy from postgresql91-server

Number of commits found: 11

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
bugzilla40*Apr 18
bugzilla40*Apr 18
bugzilla42*Apr 18
bugzilla42*Apr 18
bugzilla44*Apr 18
bugzilla44*Apr 18
curlApr 11
dbus-glibApr 11
libaudiofileApr 11
linux-f10-curlApr 11
linux-f10-dbus-glibApr 11
linux-f10-libaudiofileApr 11
linux-f10-nas-libsApr 11
linux-f10-openldapApr 11
mingw32-openssl*Apr 11

13 vulnerabilities affecting 18 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24365
Broken 174
Deprecated 86
Ignore 528
Forbidden 6
Restricted 263
No CDROM 108
Vulnerable 29
Expired 8
Set to expire 73
Interactive 22
new 24 hours 3
new 48 hours6
new 7 days18
new fortnight40
new month144

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.